DependencyNode (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.DependencyNode class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class DependencyNode

    java.lang.Object
      org.hyperic.hq.appdef.shared.DependencyNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class DependencyNode

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

See Also:
  Serialized Form

Constructor Summary
`DependencyNode(AppService appService, java.util.List deps)`

Method Summary
`void` | `addChild(AppService depSvc)`
`int` | `compareTo(java.lang.Object arg0)`
`boolean` | `equals(java.lang.Object o)`
`AppService` | `getAppService()`
`int` | `getChildCount()`
`java.util.List` | `getChildren()`
`java.lang.String` | `getDescription()`
`AppdefEntityID` | `getEntityId()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getName()`
`java.util.List` | `getRemovedChildren()`
`Service` | `getService()`
`java.lang.Integer` | `getServicePK()`
`boolean` | `hasChildren()`
`boolean` | `isCluster()`
`boolean` | `isEntryPoint()`
`void` | `removeChild(AppService aDep)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependencyNode

    public DependencyNode(AppService appService,
                          java.util.List deps)

Method Detail

### hasChildren

    public boolean hasChildren()

### getChildren

    public java.util.List getChildren()

### getChildCount

    public int getChildCount()

### getAppService

    public AppService getAppService()

### isCluster

    public boolean isCluster()

### getServicePK

    public java.lang.Integer getServicePK()

### getId

    public java.lang.Integer getId()

### getService

    public Service getService()

### getEntityId

    public AppdefEntityID getEntityId()

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### isEntryPoint

    public boolean isEntryPoint()

### addChild

    public void addChild(AppService depSvc)

### getRemovedChildren

    public java.util.List getRemovedChildren()

### removeChild

    public void removeChild(AppService aDep)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object arg0)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.